Skala
Stock adjustments

Create a new stock adjustment

Adds a new stock adjustment record to the database.

POST
/api/stock_adjustments

Adds a new stock adjustment record to the database.

AuthorizationBearer <token>

In: header

Request Body

application/json

The new StockAdjustment resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.skalasuite.com/api/stock_adjustments" \  -H "Content-Type: application/json" \  -d '{    "code": "string",    "adjustmentDate": "2019-08-24T14:15:22Z",    "location": "/entity/1"  }'
{
  "id": 0,
  "code": "string",
  "series": "string",
  "number": 0,
  "reason": "string",
  "adjustmentDate": "2019-08-24T14:15:22Z",
  "description": "string",
  "items": [
    {
      "id": 0,
      "stock": {
        "id": 0,
        "unit": {
          "id": 0,
          "name": "string"
        },
        "currency": {
          "id": 0,
          "code": "string"
        },
        "trackType": "string"
      },
      "stockVariant": {
        "name": "string"
      },
      "quantity": "string",
      "inStock": "string",
      "unitPrice": "string",
      "totalPrice": "string",
      "normalizedUnitPrice": "string",
      "normalizedTotalPrice": "string",
      "barcode": "string",
      "expirationDate": "2019-08-24T14:15:22Z",
      "currentAmount": 0,
      "batchNumber": "string"
    }
  ],
  "location": {
    "id": 0,
    "name": "string"
  }
}
Empty
Empty